IF NOT EXISTS(SELECT * FROM HotelSetup WITH (NOLOCK) WHERE SearchKey = 'EnableNewArrLineProcessing')
BEGIN
  INSERT INTO HotelSetup (SearchKey, LabelName, KeyValue, TextValue) VALUES ('EnableNewArrLineProcessing', 'Enable New Arr line processing', '1', '1')
END
ELSE
BEGIN
  UPDATE HotelSetup
  SET KeyValue = 1
  WHERE SearchKey = 'EnableNewArrLineProcessing'
END
